import type { HrefPropType, LabelPropType, QuoteAPI, QuotePropType, QuoteStates, QuoteVariantPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolQuote implements QuoteAPI {
    _label?: string;
    _href: HrefPropType;
    _quote: string;
    _variant?: QuoteVariantPropType;
    state: QuoteStates;
    validateLabel(value?: LabelPropType): void;
    validateHref(value?: HrefPropType): void;
    validateQuote(value?: QuotePropType): void;
    validateVariant(value?: QuoteVariantPropType): void;
    componentWillLoad(): void;
    render(): JSX.Element;
}
